Open CASCADE Technology: Geom2dInt_ExactIntersectionPointOfTheIntPCurvePCurveOfGInter Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Geom2dInt_ExactIntersectionPointOfTheIntPCurvePCurveOfGInter Class Reference

`#include <Geom2dInt_ExactIntersectionPointOfTheIntPCurvePCurveOfGInter.hxx>`

## Public Member Functions
| Geom2dInt_ExactIntersectionPointOfTheIntPCurvePCurveOfGInter (const Adaptor2d_Curve2d &C1, const Adaptor2d_Curve2d &C2, const Standard_Real Tol)
void | Perform (const Geom2dInt_ThePolygon2dOfTheIntPCurvePCurveOfGInter &Poly1, const Geom2dInt_ThePolygon2dOfTheIntPCurvePCurveOfGInter &Poly2, Standard_Integer &NumSegOn1, Standard_Integer &NumSegOn2, Standard_Real &ParamOnSeg1, Standard_Real &ParamOnSeg2)
void | Perform (const Standard_Real Uo, const Standard_Real Vo, const Standard_Real UInf, const Standard_Real VInf, const Standard_Real USup, const Standard_Real VSup)
Standard_Integer | NbRoots () const
void | Roots (Standard_Real &U, Standard_Real &V)
Standard_Boolean | AnErrorOccurred () const

## Constructor & Destructor Documentation

Geom2dInt_ExactIntersectionPointOfTheIntPCurvePCurveOfGInter::Geom2dInt_ExactIntersectionPointOfTheIntPCurvePCurveOfGInter | ( | const Adaptor2d_Curve2d & | C1,
|  | const Adaptor2d_Curve2d & | C2,
|  | const Standard_Real | Tol
| ) |  |

## Member Function Documentation

Standard_Boolean Geom2dInt_ExactIntersectionPointOfTheIntPCurvePCurveOfGInter::AnErrorOccurred | ( |  | ) | const

Standard_Integer Geom2dInt_ExactIntersectionPointOfTheIntPCurvePCurveOfGInter::NbRoots | ( |  | ) | const

void Geom2dInt_ExactIntersectionPointOfTheIntPCurvePCurveOfGInter::Perform | ( | const Geom2dInt_ThePolygon2dOfTheIntPCurvePCurveOfGInter & | Poly1,
|  | const Geom2dInt_ThePolygon2dOfTheIntPCurvePCurveOfGInter & | Poly2,
|  | Standard_Integer & | NumSegOn1,
|  | Standard_Integer & | NumSegOn2,
|  | Standard_Real & | ParamOnSeg1,
|  | Standard_Real & | ParamOnSeg2
| ) |  |

void Geom2dInt_ExactIntersectionPointOfTheIntPCurvePCurveOfGInter::Perform | ( | const Standard_Real | Uo,
|  | const Standard_Real | Vo,
|  | const Standard_Real | UInf,
|  | const Standard_Real | VInf,
|  | const Standard_Real | USup,
|  | const Standard_Real | VSup
| ) |  |

void Geom2dInt_ExactIntersectionPointOfTheIntPCurvePCurveOfGInter::Roots | ( | Standard_Real & | U,
|  | Standard_Real & | V
| ) |  |

The documentation for this class was generated from the following file:

- Geom2dInt_ExactIntersectionPointOfTheIntPCurvePCurveOfGInter.hxx